## org.eclipse.wst.server.core
Interface IModuleArtifact

All Known Implementing Classes:
  EJBBean, JndiObject, ModuleArtifactDelegate, NullModuleArtifact, Servlet, WebResource

    public interface IModuleArtifact

A module artifact is a resource within a module, which can be launched on the server. Examples of module artifacts are servlets, HTML pages, or EJB beans.

Objects that provide an adapter of this type will be considered by the contextual Run on Server launch support.

Since:
  1.0
See Also:
  `ModuleArtifactAdapterDelegate`

Method Summary
`IModule` `getModule()` Returns the module that this artifact is a part of.

Method Detail

### getModule

    IModule getModule()

  Returns the module that this artifact is a part of.

  Returns:
    the module that this artifact is contained in